#
# spec file for package perl-NOCpulse-OracleDB
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-NOCpulse-OracleDB
Version:        1.28.17
Release:        1.2
Summary:        Perl modules for NOCpulse Oracle database access
Url:            https://fedorahosted.org/spacewalk
Source0:        perl-NOCpulse-OracleDB-git-8fb59f659522f803d45c3e275ebe3f171a72d634.tar.gz
BuildArch:      noarch
%if 0%{?suse_version}
BuildRequires:  perl(Config::IniFiles)
BuildRequires:  perl-FreezeThaw
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
BuildRequires:  perl(NOCpulse::Config) perl(NOCpulse::Debug) perl(NOCpulse::Object) perl(NOCpulse::Utils::XML)
BuildRequires:  perl(DBI) perl(ExtUtils::MakeMaker)
Group:          Development/Libraries
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NOCpulse provides application, network, systems and transaction
monitoring, coupled with a comprehensive reporting system including
availability, historical and trending reports in an easy-to-use browser
interface.

This package provides an API for accessing NOCpulse Oracle databases.



%prep
%setup -q -n perl-NOCpulse-OracleDB-git-8fb59f659522f803d45c3e275ebe3f171a72d634

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{perl_vendorlib}/NOCpulse/*

%changelog
* Tue Sep 14 2010 mantel@suse.de
- Initial release of perl-NOCpulse-OracleDB
